Redmine - Defect #11307

Can't filter for negative numeric custom fields
2012-07-02 17:12 - Brian Crowell

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Custom fields Estimated time: 0.00 hour
Target version: 2.04

Resolution: Fixed Affected version: 1.4.3
Description

Trying to filter issues for negative custom field integers (and possibly other integers) doesn't work due to the regex under the "when
sinteger” clause in validate_query_filters in source:trunk/app/models/query.rb, which doesn't allow a leading sign.

| have it in 1.4.3, but | see that the issue is in trunk also, on line 177. | fixed it in my version by replacing the regex with:

/M +=12\d+8/

Associated revisions

Revision 9908 - 2012-07-04 20:50 - Jean-Philippe Lang

Fixed: Can't filter for negative numeric custom field (#11307).

History

#1 - 2012-07-04 20:39 - Jean-Philippe Lang

- Target version set to 2.0.4

#2 - 2012-07-04 20:50 - Jean-Philippe Lang

- Subject changed from Can't filter for negative custom field integers to Can't filter for negative numeric custom fields
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r9908 for floats as well. Thanks for pointing this out.

#3 - 2012-07-08 14:32 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 1.4 and 2.0.
